curl --request GET \
--url https://api.quiverquant.com/beta/live/polymarkettrades \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/live/polymarkettrades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/live/polymarkettrades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/live/polymarkettrades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/live/polymarkettrades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/live/polymarkettrades")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/live/polymarkettrades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"proxy_wallet": "<string>",
"side": "<string>",
"asset": "<string>",
"condition_id": "<string>",
"size": 123,
"price": 123,
"title": "<string>",
"slug": "<string>",
"event_slug": "<string>",
"outcome": "<string>",
"outcome_index": 123,
"transaction_hash": "<string>",
"estimated_amount": 123,
"trade_time": "2023-11-07T05:31:56Z",
"uploaded": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_first_activity": "2023-11-07T05:31:56Z",
"user_position_rank": 123,
"user_position_current_val": 123,
"user_positions_value": 123,
"user_markets_traded": 123,
"sports_market_type": "<string>",
"slug_volume": 123
}
]Polymarket Top Trades
Returns Polymarket trades flagged as large or unusual bets. Sports-market trades are excluded by default.
curl --request GET \
--url https://api.quiverquant.com/beta/live/polymarkettrades \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/live/polymarkettrades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/live/polymarkettrades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/live/polymarkettrades",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/live/polymarkettrades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/live/polymarkettrades")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/live/polymarkettrades")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"proxy_wallet": "<string>",
"side": "<string>",
"asset": "<string>",
"condition_id": "<string>",
"size": 123,
"price": 123,
"title": "<string>",
"slug": "<string>",
"event_slug": "<string>",
"outcome": "<string>",
"outcome_index": 123,
"transaction_hash": "<string>",
"estimated_amount": 123,
"trade_time": "2023-11-07T05:31:56Z",
"uploaded": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_first_activity": "2023-11-07T05:31:56Z",
"user_position_rank": 123,
"user_position_current_val": 123,
"user_positions_value": 123,
"user_markets_traded": 123,
"sports_market_type": "<string>",
"slug_volume": 123
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date, formatted as YYYYMMDD
Include trades on sports markets in the results (excluded by default)
Page number
Items / page
Filter to trades from this trader's wallet address
Filter to trades on the Polymarket market with this slug
Sort results by: trade_time or estimated_amount
Sort direction: asc or desc
Response
Wallet address that placed the trade
BUY or SELL
Polymarket asset (outcome token) id
Polymarket market condition id
Number of shares traded
Price per share at execution
Market title
Market slug
Event slug the market belongs to
Outcome name traded
Index of the outcome traded
On-chain transaction hash
Estimated USD value of the trade
Trade execution time
Time the trade was uploaded by Quiver
Trader's display name
Time of the trader's first recorded activity
Trader's rank by current position value
Trader's current position value (USD)
Total value (USD) of all of the trader's positions
Number of distinct markets the trader has traded
Sports bet type (e.g. moneyline, spreads, totals); null for non-sports markets
Total traded volume (USD) for the market

